:root {
  --nav-background-color: #fff;
  --nav-height-pc: 128px;
  --nav-height-mobile: 80px;
  --nav-sub-height-pc: 3rem;
  --nav-sub-icon-size: 30px;
  --nav-sub-icon-size-mobile: 32px;
  --nav-list-color: #444;
  --nav-list-hover-color: #2ca6e0;
  --nav-profile-pic-size: 55px;
  --active-color: #0095ff;
  --active-color-dark: #006dbb;
  --pwBlue: #2ca6e0;
  --primary: #2ca6e0 !important;
  --pwRed: #d93636;
  --pwOrange: #ffa31a;
  --pwGray2: #757575;
  --pwGray: #333333;
  --pwLightGray: #f2f4f6;
  --grey-4: #e0e0e0;
  --grey-5: #bdbdbd;
  --grey-6: #9e9e9e;
}

a:hover {
  text-decoration: none;
}

.bg_lightgray {
  background-color: var(--pwLightGray);
}

body {
  overflow-x: hidden;
  -webkit-font-smoothing: auto;
  -moz-osx-font-smoothing: auto;
}

.app-layout {
  position: relative;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  overflow-x: hidden;
  overflow-y: auto;
  overscroll-behavior: contain;
  scrollbar-width: thin;
  scrollbar-gutter: stable;
}

h5 {
  letter-spacing: 2px;
}

p {
  text-align: left;
}

::-webkit-scrollbar-thumb {
  background-color: var(--grey-6);
  border-radius: 1rem;
}

::-webkit-scrollbar-track {
  background-color: var(--grey-4);
}

::-webkit-scrollbar-track {
  background-color: #f1f1f1;
}

/* ----------- breadcrumb ----------- */

ol.breadcrumb {
  padding: 0.5rem 0;
  background-color: #fff;
}

ol.breadcrumb li.breadcrumb-item {
}

ol.breadcrumb li.breadcrumb-item a {
  color: #444;
}

ol.breadcrumb li.breadcrumb-item.active {
}

.breadcrumb-item + .breadcrumb-item::before {
  content: '>';
}

/* ----------- nav ----------- */

.fixed_content {
  width: 100%;
  height: 100vh;
  overflow: hidden;
  position: fixed;
  pointer-events: none;
  z-index: 999;
}

.fixed_content .pop_nav {
  pointer-events: auto;
  position: relative;
  margin-bottom: auto;
  display: flex;
  height: var(--nav-height-pc);
  flex-direction: row;
  -webkit-backdrop-filter: blur(10px);
  backdrop-filter: blur(10px);
  align-items: center;
  justify-content: space-between;
  padding: 0.5rem 8.333333% 0 8.333333%;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 50;
  background-color: #ffffffe0;
  transition: height 0.3s ease-out;
}

.pop_nav a {
  color: black;
  text-decoration: none;
  cursor: pointer;
  display: flex;
  align-items: center;
}

.pop_nav h5 {
  all: unset;
  font-size: 18px;
}

.pop_nav.hide {
  height: 70px;
  opacity: 0.95;
  transition: all 0.3s ease-out;
}

.pop_nav.hide .pop_nav_logo > img {
  height: 2.5rem;
  transition: height 0.3s ease-out;
}

.pop_nav.hide .pop_nav_link_wrap .pop_nav_sub {
  opacity: 0;
  transform: translateY(-50%);
  transition: all 0.3s ease-out;
}

.pop_nav .pop_nav_logo > img {
  height: 4rem;
  transition: all 0.3s ease-out;
}

.pop_nav_link_wrap {
  width: 100%;
  height: auto;
}

.pop_nav_link_wrap .pop_nav_sub {
  position: relative;
  width: 100%;
  display: flex;
  justify-content: flex-end;
  padding: 0;
  opacity: 1;
  z-index: 10;
  transform: translateY(0);
  transition: all 0.3s ease-out;
}

.pop_nav_link_wrap .pop_nav_sub > * {
  margin: auto 0;
  margin-right: 1rem;
  margin-bottom: 5px;
}

.pop_nav_link_wrap .pop_nav_sub > *:last-child {
  margin-right: 0;
}

.pop_nav_sub svg {
  color: #333;
}

.pop_nav_sub a:hover {
  opacity: 0.5;
  transition: opacity 0.3s ease-out;
}

.pop_nav .pop_nav_link_wrap .pop_main_link {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  padding-top: 0.5rem;
  transform: translateY(0px);
  transition: transform 0.3s ease-out;
}

.pop_nav.hide .pop_nav_link_wrap .pop_main_link {
  transform: translateY(-1rem);
  margin: 0;
  transition: transform 0.3s ease-out;
}

.pop_nav_link_wrap .pop_main_link > * {
  margin: auto 0;
  margin-right: 1rem;
}

.pop_nav_link_wrap .pop_main_link > *:last-child {
  margin-right: 0;
}

.pop_main_link > a,
.pop_main_link > div,
.pop_main_link > a div,
.pop_main_link > div div {
  position: relative;
  text-align: center;
}

.pop_main_link > a h5,
.pop_main_link > div h5 {
  opacity: 1;
  transition: opacity 0.3s ease-out;
}

.pop_main_link > a .title.active h5,
.pop_main_link > a:hover .title h5,
.pop_main_link > div:hover .title h5,
.pop_main_link > div .title.active h5 {
  opacity: 0.5;
}

.pop_main_link > a div.title::after,
.pop_main_link > div .title::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: -6px;
  width: 100%;
  height: 2px;
  transform: scale(0, 1);
  transform-origin: right top;
  background-color: gray;
  transition: transform 0.3s ease-out;
}

.pop_main_link > a .title.active::after,
.pop_main_link > a:hover .title::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: -6px;
  width: 100%;
  height: 2px;
  transform: scale(1, 1);
  transform-origin: left top;
  background-color: gray;
  transition: transform 0.3s ease-out;
}

.pop_main_link > div:hover .title::after,
.pop_main_link > div .title.active::after  {
  content: '';
  position: absolute;
  left: 0;
  bottom: -6px;
  width: 100%;
  height: 2px;
  transform: scale(1, 1);
  transform-origin: left top;
  background-color: gray;
  transition: transform 0.3s ease-out;
}


/* pop_main_link dropdown */
.pop_nav_link_wrap .dropdown_link {
  padding: 1rem 0;
  cursor: default;
}
.pop_nav_link_wrap .pop_main_link .dropdown_content {
  display: flex;
  flex-direction: column;
  gap: .5rem;
  position: absolute;
  text-align: left;
  top: 65px;
  left: -1rem;
  visibility: hidden;
  border-radius: .5rem;
  padding: 1.5rem;
  width: 20vw;
  max-width: 300px;
  min-width: 280px;
  background-color: white;
  opacity: 0;
  pointer-events: none;
  height: auto;
  transform: translateY(-50px);
  transform-origin: top;
  transition: all 0.3s ease-in-out;
  z-index: 52;
  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.2);
  -webkit-box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.2);
}

.pop_nav_link_wrap .pop_main_link .dropdown_content.active {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
  background-color: #fff;
  transform: translateY(0px);
  transition: all 0.3s ease-in-out;
}

.pop_main_link .dropdown_content div {
  display: flex;
  flex-direction: column;
  gap: .5rem;
  text-align: left;
}

.dropdown_content > a h5 {
  opacity: 1;
  position: relative;
  transition: opacity 0.3s ease-out;
}

.dropdown_content > a:hover h5 {
  opacity: 0.5;
}

.dropdown_content > a h5::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: -3px;
  width: 100%;
  height: 2px;
  transform: scale(0, 1);
  transform-origin: right top;
  background-color: gray;
  transition: transform 0.3s ease-out;
}

.dropdown_content > a:hover h5::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: -3px;
  width: 100%;
  height: 2px;
  transform: scale(1, 1);
  transform-origin: left top;
  background-color: gray;
  transition: transform 0.3s ease-out;
}


/* dropdown選單 end */

.pop_nav_link_wrap .divider {
  width: 2px;
  height: auto;
  border-radius: 1rem;
  background-color: #e2e2e2;
  margin: 0 1rem 0 0;
}

.pop_main_link .link_wrap {
  display: flex;
  align-items: center;
  position: relative;
  opacity: 1;
  transition: opacity 0.2s ease-out;
}

.pop_main_link .link_wrap:not(.no_tip)::after {
  content: attr(data-title);
  position: absolute;
  pointer-events: none;
  font-size: 14px;
  bottom: -55px;
  padding: 8px;
  transform: translate(-50%, 10px);
  left: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  width: max-content;
  min-width: 50px;
  height: 50px;
  border-radius: 1rem;
  background-color: rgb(58, 58, 58);
  color: white;
  text-align: center;
  opacity: 0;
  translate: opacity 0.2s ease;
  transition-delay: 100ms;
}

.pop_main_link .link_wrap:not(.dropdown_link):hover a {
  opacity: .5;
  transition: opacity 0.2s ease-out;
}

.pop_main_link .link_wrap.active .title h5 {
  color: grey;
  transition: opacity 0.2s ease-out;
}

.pop_main_link .link_wrap:hover::after {
  opacity: 1;
  pointer-events: none;
  transform: translate(-50%, 0);
  transition: all 0.2s ease-out;
  transition-delay: 100ms;
}

.pop_main_link .link_wrap a {
  display: flex;
  align-items: center;
  justify-content: center;
}

.pop_main_link .link_wrap svg {
  font-size: 1.5rem;
  margin-right: 5px;
  color: #333;
}

.link_wrap.bordered {
  border: 1px solid #cccccc;
  border-radius: 1.5rem;
  padding: 3px 13px;
}

.link_wrap.message,
.link_wrap.notification {
  position: relative;
  cursor: pointer;
}

.link_wrap.message.active::after,
.link_wrap.notification.active::after {
  display: none;
}

.link_wrap.message *,
.link_wrap.notification * {
  pointer-events: none;
}

.link_wrap.message.unread::before,
.link_wrap.notification.unread::before {
  content: '';
  position: absolute;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background-color: red;
  border: 2px solid white;
  top: -2px;
  right: 5px;
}

.link_wrap.message.active svg:last-child,
.link_wrap.message svg:nth-of-type(1),
.link_wrap.notification.active svg:last-child,
.link_wrap.notification svg:nth-of-type(1) {
  display: none;
}

.link_wrap.message.active svg:nth-of-type(1),
.link_wrap.message svg:last-child,
.link_wrap.notification.active svg:nth-of-type(1),
.link_wrap.notification svg:last-child {
  display: block;
}

img.nav_profile_pic {
  position: relative;
  width: var(--nav-profile-pic-size);
  height: var(--nav-profile-pic-size);
  min-width: var(--nav-profile-pic-size);
  border-radius: 50%;
  object-fit: cover;
  cursor: pointer;
  box-shadow: 0px 0px 0px 3px transparent;
  overflow: hidden;
  transition: all 0.2s ease;
}

img.nav_profile_pic:hover,
.linkProfile.active img.nav_profile_pic {
  box-shadow: 0px 0px 0px 3px #2ca6e0;
  transition: all 0.2s ease;
}

.list_item.language .select_panel_mobile select {
  padding-left: 4.5rem;
}
.list_item.language .select_panel_mobile select:focus {
  padding-left: 0;
}

.pop_nav a.btn_menu {
  display: none;
  position: relative;
  cursor: pointer;
}

.pop_nav_link_wrap .pop_nav_sub .nav_sub_lang_select {
  position: relative;
  margin-bottom: 2px;
  height: 100%;
  cursor: pointer;
  display: flex;
  opacity: 1;
  transition: opacity 0.3s ease-out;
}

.pop_nav_mobile {
  display: none;
}

.nav_sub_lang_select {
  position: relative;
  display: flex;
  cursor: pointer;
}

.nav_sub_lang_select h6 {
  margin-bottom: 0;
  line-height: 1.5;
}

.nav_sub_lang_select svg {
  margin-right: 0.5rem;
}

.nav_sub_lang_select:hover > svg,
.nav_sub_lang_select:hover > h6 {
  opacity: 0.5;
  transition: all 0.3s ease-out;
}

.select_panel:hover,
.nav_sub_lang_select:hover .select_panel {
  pointer-events: auto;
  opacity: 1;
  display: block;
  transition: opacity 0.3s ease-out;
}

.select_panel_mobile {
  display: none;
}

.nav_sub_lang_select .select_panel {
  pointer-events: none;
  display: none;
  opacity: 0;
  position: absolute;
  text-align: center;
  top: 30%;
  right: 0;
  color: white;
  z-index: 1000;
  padding: 1rem 0.5rem;
  transition: opacity 0.3s ease-out;
}

.nav_sub_lang_select .select_panel ul {
  list-style: none;
  background-color: black;
  padding: 1rem;
  margin: 0;
  width: max-content;
}

.nav_sub_lang_select .select_panel li {
  border-bottom: 1px solid transparent;
}

.nav_sub_lang_select .select_panel li:hover {
  border-bottom: 1px solid white;
}

.nav_sub_lang_select .select_panel li button {
  all: unset;
  cursor: pointer;
}

#appProfile,
#appMsg,
#appNotice {
  box-shadow: 0px 4px 16px rgba(0, 0, 0, 0.3);
  -webkit-box-shadow: 0px 4px 16px rgba(0, 0, 0, 0.3);
  border-radius: 1rem;
  margin-left: auto;
  margin-right: 8.333333%;
  width: 30vw;
  max-width: 360px;
  min-width: 300px;
  position:absolute;
  top:100%;
  right:0px;
  height: 0%;
  margin-bottom: auto;
  background-color: white;
  z-index: -1;
  opacity: 0;
  overflow: hidden;
  overflow-y: scroll;
  transform: translateY(-50px);
  transform-origin: top;
  transition: all 0.3s ease-in-out;
}

#appProfile,
#appMsg {
  z-index: 52;
}

#appProfile.active,
#appMsg.active,
#appNotice.active {
  min-height: 80vh;
  opacity: 1;
  z-index: 999;
  pointer-events: auto;
  background-color: #fff;
  transform: translateY(0px);
  transition: all 0.3s ease-in-out;
}

#appProfile.active {
  height: auto;
  max-height: min-content;
}

#appProfile::-webkit-scrollbar,
#appMsg::-webkit-scrollbar,
#appNotice::-webkit-scrollbar {
  width: 0px;
  height: 0px;
}

#appProfile:after,
#appMsg:after,
#appNotice:after {
  position: relative;
  right: 77px;
  top: -10px;
  width: 20px;
  height: 20px;
  background-color: #fff;
  transform: rotate(45deg) scale(0);
  transition: transform 0.2s ease-in-out;
}

#appProfile.active:after,
#appMsg.active:after,
#appNotice.active:after {
  transform: rotate(45deg) scale(1);
  transition: transform 0.3s ease-in-out;
}

#appProfile header,
#appMsg header,
#appNotice header {
  display: flex;
  padding: 1rem;
  height: 60px;
  align-items: center;
  position: sticky;
  background-color: white;
  top: 0;
  border-bottom: 1px solid #e6e6e6;
}

#appProfile header h5,
#appMsg header h5,
#appNotice header h5 {
  margin-bottom: 0;
  letter-spacing: 0;
  margin-right: auto;
  pointer-events: none;
  font-size: 18px;
}

#appNotice header .btn_all_read {
  opacity: 1;
  transition: opacity 0.3s ease-out;
}

#appProfile header .btn_return,
#appMsg header .btn_return,
#appNotice header .btn_return {
  display: none;
}

#appProfile header .btn_back #appMsg header .btn_back {
  cursor: pointer;
}

#appNotice header .btn_all_read:hover {
  opacity: 0.5;
  transition: opacity 0.3s ease-out;
  cursor: pointer;
}

#appNotice .notification_list {
  width: 100%;
  height: auto;
  display: flex;
  padding: 0.5rem 0rem 1rem 0;
  flex-direction: column;
}

#appProfile header {
  padding: 10px 1rem;
  height: auto;
  cursor: pointer;
  display: flex;
  align-items: center;
  transition: all 0.3s ease-out;
}

#appProfile header a {
  all: unset;
  width: 100%;
  display: flex;
  align-items: center;
}
#appProfile header:hover {
  background-color: #eaf6fc;
  transition: all 0.3s ease-out;
}

#appProfile header .profile_pic {
  width: 4rem;
  height: 4rem;
  min-width: 4rem;
  object-fit: cover;
  border-radius: 50%;
  margin-right: 8px;
  overflow: hidden;
  border: 2px solid white;
}

#appProfile header h6 {
  margin-bottom: 0;
}

#appProfile .profile_links {
  width: 100%;
  height: auto;
  display: flex;
  padding: 0.5rem 0;
  flex-direction: column;
  border-bottom: 1px solid #e6e6e6;
}

#appProfile .link {
  display: flex;
  color: unset;
  align-items: center;
  padding: 1rem 1rem 1rem 1rem;
  cursor: pointer;
  gap: .8rem;
  transition: all 0.3s ease-out;
}

#appProfile header .title {
  color: var(--pwGray2);
  letter-spacing: 1px;
  margin-bottom: 0;
  display: flex;
  align-items: center;
  line-height: 1.5;
  font-size: 14px;
  margin-top: 5px;
  gap: 5px;
}

#appProfile .link.points .num {
  font-weight: 500;
  font-size: 18px;
  color: var(--pwBlue);
  margin-left: auto;
}

#appProfile .link:hover {
  background-color: #eaf6fc;
  transition: all 0.3s ease-out;
}

#appProfile .link svg {
  font-size: 24px;
}

#appProfile footer {
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
}

#appProfile footer .link {
  padding: 1.1rem 1rem;
}

/* 通知列表 */
.notification_list .notification_item {
  width: 100%;
  font-size: 14px;
  display: flex;
  padding: 0.6rem 0;
  background-color: white;
  cursor: pointer;
  transition: all 0.3s ease-out;
}

.notification_list .notification_item.unread,
.notification_list .notification_item:hover {
  background-color: #eaf6fc;
  transition: all 0.3s ease-out;
}

.notification_list .notification_item small {
  font-size: 12px;
  color: #757575;
}

.notification_item .avatar_container {
  width: 80px;
  display: flex;
  padding: 0 1rem;
  height: auto;
}

.notification_item .avatar {
  width: 50px;
  aspect-ratio: 1/1;
  object-fit: cover;
  margin-bottom: auto;
  border-radius: 99%;
}

.notification_item .content {
  width: 100%;
  display: flex;
  flex-direction: column;
}

.notification_item .guide_image_container {
  width: fit-content;
  display: flex;
  padding: 0 1rem 0.5rem;
  height: auto;
}

.notification_item .guide_image {
  width: 80px;
  aspect-ratio: 3/2;
  object-fit: cover;
  margin-bottom: auto;
  border-radius: 0.5rem;
}

.notification_item .guide_image.square {
  aspect-ratio: 1/1;
  width: 60px;
}

.noti_loader {
  width: 100%;
  font-size: 14px;
  display: none;
  background-color: white;
  cursor: pointer;
  justify-content: center;
  padding: 0;
  opacity: 0;
  font-size: 2rem;
  transition: all 0.5s ease-out;
}

.noti_loader.show {
  display: flex;
  opacity: 1;
  transition: all 0.2s ease-out 0.5s;
}

/* 訊息列表 */
.msg_list .msg_item {
  width: 100%;
  font-size: 14px;
  display: flex;
  padding: 0.6rem 0.5rem 0.6rem 0;
  align-items: center;
  background-color: white;
  cursor: pointer;
  transition: all 0.3s ease-out;
}

.msg_list .msg_item.unread,
.msg_list .msg_item:hover {
  background-color: #eaf6fc;
  transition: all 0.3s ease-out;
}

.msg_list .msg_item .content .name {
  width: 100%;
  display: flex;
}

.msg_list .msg_item .content .name small {
  font-size: 12px;
  color: #757575;
  margin-left: 0.5rem;
}

.msg_list .msg_item .content .name span {
  font-weight: 500;
  margin-right: auto;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

.msg_list .msg_item .content .msg {
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.msg_item .avatar_container {
  width: 80px;
  display: flex;
  padding: 0 1rem;
  height: auto;
}

.msg_item .avatar {
  width: 50px;
  aspect-ratio: 1/1;
  margin-bottom: auto;
  border-radius: 99%;
}

.msg_item .content {
  width: calc(100% - 80px);
  display: flex;
  flex-direction: column;
}

.msg_item .guide_image_container {
  width: fit-content;
  display: flex;
  padding: 0 1rem 0.5rem;
  height: auto;
}

.msg_item .content .msg {
  color: #666666;
}

/* 聊天訊息內容 */
.msg_content {
  height: fit-content;
  min-height: 100%;
  padding: 0.5rem 0;
  display: flex;
  flex-direction: column-reverse;
}

.msg_content .chat_item {
  width: 100%;
  font-size: 14px;
  display: flex;
  padding: 0.6rem 1rem 0.6rem 0;
  background-color: white;
  cursor: auto;
  transition: all 0.3s ease-out;
}

.msg_content .chat_item .content .name {
  width: 100%;
  display: flex;
}

.msg_content .chat_item .content .name small {
  font-size: 12px;
  color: #757575;
  margin-left: 1rem;
}

.msg_content .chat_item .content .name span {
  font-weight: 500;
  text-overflow: ellipsis;
  color: #666666;
  overflow: hidden;
  font-size: 14px;
  white-space: nowrap;
}

header .btn_back {
  cursor: pointer;
}

.chat_item .avatar_container {
  width: 60px;
  display: flex;
  padding: 0 1rem;
  height: auto;
}

.chat_item .avatar {
  width: 2.2rem;
  aspect-ratio: 1/1;
  border: 0.5px solid #e2e2e2;
  margin-bottom: auto;
  border-radius: 99%;
}

.chat_item .content {
  width: 100%;
  display: flex;
  flex-direction: column;
}

.chat_item .content .name {
  width: auto;
  display: flex;
  align-items: center;
}

.chat_item .guide_image_container {
  width: fit-content;
  display: flex;
  padding: 0 1rem 0.5rem;
  height: auto;
}

.chat_item .content .msg {
  width: fit-content;
  max-width: 80%;
  background-color: #e6e6e6;
  color: #333333;
  padding: 12px;
  font-size: 1rem;
  border-radius: 1rem;
}

.chat_item .content .msg small {
  user-select: text;
  white-space: pre-line;
  word-break: break-word;
  overflow-wrap: break-word;
}

.chat_item.self .avatar_container {
  display: none;
}

.chat_item.self .content .name {
  justify-content: flex-end;
}
.chat_item.self .content .name span {
  display: none;
}

.chat_item.self .content .msg {
  background-color: white;
  border: 1px solid #e6e6e6;
  margin-left: auto;
}

.new_msg_input {
  position: sticky;
  right: 0;
  bottom: 0;
  left: 0;
  padding-right: 1rem;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  height: auto;
  max-height: 200px;
  background-color: #fff;
  border-top: 1px solid #cccccc;
}

.new_msg_input .text_input {
  padding: 13px 10px;
  margin: 1rem;
  width: 80%;
  min-height: 52px;
  max-height: 160px;
  border: 1px solid #cccccc;
  border-radius: 1.5rem;
  resize: none;
  overflow-y: auto;
  transition: 0.2s all ease;
}

.new_msg_input .text_input::-webkit-scrollbar {
  display: none;
}

.new_msg_input .text_input:focus {
  outline: 0;
  box-shadow: none;
  border: 1px solid var(--pwBlue);
  transition: 0.2s all ease;
}

.new_msg_input .btn_send {
  border: none;
  width: 48px;
  display: flex;
  height: 48px;
  margin: auto;
  cursor: pointer;
  border-radius: 50%;
  background: var(--pwBlue);
  transition: 0.2s all ease;
}

.new_msg_input .btn_send:hover {
  opacity: 0.6;
  transition: 0.2s all ease;
}

.new_msg_input .btn_send.disabled {
  opacity: 0.6;
  cursor: not-allowed;
  pointer-events: none;
  background: #e6e6e6;
  transition: 0.2s all ease;
}

/* ----------- main content & download  ----------- */

.pop_content {
  padding-top: var(--nav-height-pc);
}

.pop_content {
  padding-top: calc(var(--nav-height-pc) + var(--nav-sub-height-pc));
}

.pop_content {
  padding-top: var(--nav-height-pc);
  flex: 1 1;
  margin-bottom: 2rem;
  /* background-color: #444; */
}

.pop_content.home {
  margin-bottom: 0rem;
}

.pop_content .container {
  /* 複寫bootstraps樣式 */
  /*padding-right: 8.333333%;
  padding-left: 8.333333%;
  max-width: unset;*/
  width: 1225px;
  max-width: 100%;
  margin: 0 auto;
  box-sizing: border-box;
  padding: 0 16px;
}

.nav-search-input input::placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #bfd9de;
  opacity: 1; /* Firefox */
}

.nav-search-input input:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: #bfd9de;
}

.nav-search-input input::-ms-input-placeholder {
  /* Microsoft Edge */
  color: #bfd9de;
}

.navbar2 {
  flex: 0 0;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 50px;
  z-index: 900;
  background-color: rgba(0, 0, 0, 0.58);
}

.nav-left {
  position: relative;
  height: 100%;
  display: flex;
}

.navbar2-logo {
  height: 100%;
}

.fix-nav {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 50px;
  z-index: 900;
  background-color: rgba(0, 0, 0, 0.58);
}

.nav-logo {
  padding: 2px 2px;
  height: 100%;
}

.nav-bars {
  position: absolute;
  width: 40px;
  height: 40px;
  right: 5px;
  top: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  color: #fff;
  background-color: rgba(0, 0, 0, 0.31);
}

.nav-links {
  position: fixed;
  width: 100%;
  height: 100vh;
  overflow-y: scroll;
  left: 0;
  top: 0;
  display: none;
  background-color: rgba(0, 0, 0, 0.9);
  z-index: 899;
}

.nav-links ul {
  padding: 0;
  margin: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.nav-links ul > li {
  list-style: none;
  width: 100%;
  text-align: center;
  border-top: solid 2px #808080;
}

.nav-links ul > li:not(:last-child) {
}

ul.nav-dropdown-content li {
  width: 100%;
  border-top: solid 2px #57b18c;
  text-align: left;
  padding-left: 10px;
}

.nav-links-a {
  padding: 10px 0;
  font-size: 1.5em;
  display: block;
  color: #fff;
}

.nav-links-a:hover,
.nav-links-a:active {
  color: #fff;
  text-decoration: none;
}

.nav-dropdown-title::after {
  /* content: ' ▼'; */
}

.nav-search-input {
  border: solid 2px #bfd9de;
  color: #bfd9de;
  padding: 0.5em 1em;
  border-radius: 1em;
  margin: 0;
  background-color: rgba(0, 0, 0, 0.8);
}

.nav-search-input:focus-within {
  /* background-color: rgba(255, 255, 255, 0.266); */
  background-color: rgba(0, 0, 0, 0.6);
}

.nav-search-input input {
  background-color: transparent;
  border: none;
  color: #bfd9de;
  font-family: initial;
  width: calc(100% - 64px);
}

.nav-search-input input:focus {
  border: none;
  outline: none;
}

.nav-search-btn {
  color: #bfd9de;
}

.nav-search-btn:hover {
  color: #daab2b;
}

.nav-userimg-inner > img {
  height: 35px;
  width: 35px;
  object-fit: cover;
  border-radius: 50%;
  border: solid 2px #d4d4d4;
}

.appLayout {
  min-height: 100vh;
  position: relative;
  display: flex;
  flex-direction: column;
  /* z-index:10; */
}

.appMain {
  min-height: 90%;
  flex: 1 1 auto;
}

.disable-select {
  user-select: none; /* supported by Chrome and Opera */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
}

.ajax-loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 1000;
  padding: 0 2rem;
  display: none;
  justify-content: center;
  align-items: center;
  color: #ddd;
  background-color: rgb(0 0 0 / 62%);
}

.loading-svg {
  width: 200px;
  height: 200px;
  animation-name: ajax-loading-rotating;
  animation-timing-function: linear;
  animation-duration: 2s;
  animation-fill-mode: both;
  animation-iteration-count: infinite;
}

.ajax-loading img {
  max-width: 100%;
  /* animation-name: ajax-loading-fading;
  animation-timing-function: ease-in;
  animation-duration: .8s;
  animation-fill-mode: both;
  animation-iteration-count: infinite;
  animation-direction: alternate-reverse; */
  /* animation-name: ajax-loading-fading2;
  animation-timing-function: linear;
  animation-duration: 2s;
  animation-fill-mode: both;
  animation-iteration-count: infinite; */
}

@keyframes ajax-loading-fading {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0.4;
  }
}

@keyframes ajax-loading-rotating {
  0% {
    transform: rotateZ(0);
  }

  100% {
    transform: rotateZ(360deg);
  }
}

.ajax-loading.show {
  display: flex;
}

.text_publish_hint {
  color: var(--danger);
  text-align: center;
  transition: all 0.2s ease-out;
}

.text_publish_hint.active {
  color: var(--danger);
  transition: color 0.2s ease-out;
}

@keyframes scaleAni {
  0%,
  100% {
    transform: scale(1.01);
    animation-timing-function: cubic-bezier(0.8, 0, 1, 1);
  }
  50% {
    transform: scale(1);
    animation-timing-function: cubic-bezier(0, 0, 0.2, 1);
  }
}

/* footer new */
footer.pop_footer {
  padding: 0rem 8.333333% 1rem 8.333333%;
  display: flex;
  flex-direction: column;
}

footer.pop_footer .pop_footer_main {
  padding-top: 2rem;
  box-shadow: 0 -1px 0 var(--pwLightGray);
  display: grid;
  width: 100%;
  grid-template-areas: 'info links social';
  grid-template-columns: 40% 40% 1fr;
}

.pop_footer_main .pop_info {
  grid-area: info;
}

.pop_footer_main .pop_info h1 {
  margin-bottom: 2px;
  font-size: 1rem;
  line-height: 1.2;
  font-weight: 500;
  margin-top: 1rem;
}

.pop_footer_main .pop_info span {
  font-size: 14px;
  color: var(--pwGray2);
}

.pop_footer_main .pop_links {
  grid-area: links;
  display: grid;
  grid-template-rows: 1fr 1fr 1fr;
  grid-auto-flow: column;
}

.pop_links .footer_link {
  transition: all 0.3s ease-out;
}

.pop_links .footer_link:hover {
  transition: all 0.3s ease-out;
  opacity: 0.5;
}

.pop_links .footer_link h5 {
  font-size: 18px;
  margin-bottom: 0px;
  font-weight: 400;
  color: var(--pwGray);
}

.pop_links .footer_link small {
  font-size: 14px;
  color: var(--pwGray2);
  margin-bottom: 5px;
}

.pop_footer_main .links {
  display: flex;
  flex-flow: column;
}

.pop_footer_main .links .downloads {
  font-size: bold;
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 100%;
}

.pop_footer_main .links .downloads span {
  margin-bottom: 5px;
  font-weight: 500;
}

.pop_footer_main .pop_social_links {
  grid-area: social;
  display: flex;
  align-items: flex-end;
  justify-content: space-evenly;
}

.pop_footer_main .pop_social_links a {
  color: var(--pwGray);
  margin-right: 1rem;
  transition: all 0.3s ease-out;
}

.pop_footer_main .pop_social_links a:last-child {
  margin-right: 0rem;
}

.pop_footer_main .pop_social_links a:hover {
  opacity: 0.5;
  transition: all 0.3s ease-out;
}

.pop_footer_main .links .download_link {
  display: none;
  height: 50px;
}

.pop_footer_main .links .download_link a {
  all: unset;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 90%;
  margin: 0.5rem 1rem;
  padding: 0.5rem;
  background-color: var(--pwGray);
  color: white;
}

.pop_footer_main .links .download_link a svg {
  font-weight: 400;
  margin-left: 0.5rem;
  width: 1.6rem;
  height: 1.6rem;
}

.pop_footer_main .links .download_link a h5 {
  font-weight: 300;
  margin-left: 0.5rem;
  font-size: 1rem;
  line-height: 1.6;
  margin-bottom: 0;
}

.pop_footer_base {
  display: flex;
  padding: 1rem 0 0rem 0;
  margin-top: 1rem;
  border-top: 1px solid #e2e2e2;
}

.pop_footer_base ul.pop_policy {
  display: flex;
  padding: 0;
  margin: 0;
  width: 100%;
  margin-right: auto;
  list-style: none;
}

.pop_footer_base ul li:not(:last-child) {
  margin-right: 0.5rem;
}

.pop_footer_base ul li a {
  color: var(--pwGray2);
  font-size: 14px;
  transition: all 0.3s ease-out;
}

.pop_footer_base ul li a:hover {
  opacity: 0.5;
  transition: all 0.3s ease-out;
}

.pop_footer_base .footer_language {
  display: flex;
  margin-left: auto;
}

.footer_language .nav_sub_lang_select .select_panel {
  top: auto;
  right: -7%;
  bottom: 70%;
}

.footer_language .nav_sub_lang_select .select_panel li {
  margin-right: 0;
}

footer.pop_footer .copyright {
  color: var(--pwGray2);
  opacity: 0.8;
  font-size: 12px;
}

/* #cookiePolicy */

.cookie_policy_wrapper {
  position: fixed;
  z-index: 29;
  background: #fff;
  border-radius: 4px;
  -webkit-box-shadow: 0 0 10px 1px rgb(0 0 0 / 30%);
  box-shadow: 0 0 10px 1px rgb(0 0 0 / 30%);
  bottom: 0;
  right: 0;
  opacity: 0;
  pointer-events: none;
  padding: 1.5rem;
  transition: transform 0.5s ease-in-out;
  width: 800px;
  transform: translateY(75%);
}

.cookie_policy_wrapper.active {
  width: 800px;
  padding: 1.5rem;
  right: 0;
  left: auto;
}

.cookie_policy_wrapper h3 {
  font-size: 1.75rem;
}

.cookie_policy_wrapper p {
  font-size: 1rem;
}

.btnToggleSetting,
.btnAccept {
  width: 140px;
}

.cookie_policy_wrapper.active {
  opacity: 1;
  transition: all 0.5s ease-in-out;
  pointer-events: auto;
}

.cookie_policy_wrapper.showOption {
  transform: translateY(0%);
  transition: all 0.5s ease-in-out;
}

.cookie_option {
  padding: 1rem 0rem;
  border-bottom: 1px #6c757d47 solid;
}

.btnToggleSetting,
.btnAccept {
  height: 40px;
  width: 100%;
  max-width: 300px;
}

.custom-switch {
  margin-top: 0.3rem;
}

.custom-switch.custom-switch-xl .custom-control-label {
  position: absolute;
  right: 2.4rem;
}

.custom-switch.custom-switch-xl .custom-control-label::before {
  height: 2.5rem;
  width: calc(4rem + 0.75rem);
  border-radius: 5rem;
}

.custom-switch.custom-switch-xl .custom-control-label::after {
  width: calc(2.5rem - 4px);
  height: calc(2.5rem - 4px);
  border-radius: calc(4rem - (2.5rem / 2));
}

.custom-switch.custom-switch-xl
  .custom-control-input:checked
  ~ .custom-control-label::after {
  transform: translateX(calc(2.5rem - 0.25rem));
}

/* mainly used by Paginator */
.btn-custom {
  border: 0;
  color: white;
  background-color: var(--pwGray) !important;
  opacity: 0.4;
}

.btn-custom.active {
  background-color: var(--pwGray) !important;
  opacity: 1;
}

/* RWD--------------------------------- */

@media screen and (max-width: 992px) {
  .pop_nav {
    padding: 1rem;
  }
  .pop_nav .pop_nav_logo > img {
    height: 3rem;
  }
  .cookie_policy_wrapper {
    width: 100%;
    transform: translateY(70%);
  }

  .cookie_policy_wrapper.active {
    width: 100%;
  }
  .cookie_policy_wrapper h3 {
    font-size: 1.25rem;
  }

  .cookie_policy_wrapper p {
    font-size: 0.75rem;
  }
}

@media screen and (max-width: 768px) {
  .list_item.message.active svg:nth-of-type(2),
  .list_item.message svg:nth-of-type(1),
  .list_item.notification.active svg:nth-of-type(2),
  .list_item.notification svg:nth-of-type(1) {
    display: none;
  }

  .list_item.message.active svg:nth-of-type(1),
  .list_item.message svg:nth-of-type(2),
  .list_item.notification.active svg:nth-of-type(1),
  .list_item.notification svg:nth-of-type(2) {
    display: block;
    position: relative;
  }

  .list_item.message.unread::after,
  .list_item.notification.unread::after {
    content: '';
    position: absolute;
    width: 13px;
    height: 13px;
    border-radius: 50%;
    background-color: red;
    border: 2px solid white;
    top: 20%;
    right: auto;
    left: 12px;
  }

  .pop_nav_link_wrap {
    display: none;
  }
  .pop_nav a.btn_menu {
    display: block;
  }

  .cookie_policy_wrapper {
    transform: translateY(71%);
  }
  .pop_nav {
    padding-left: 1rem;
    padding-right: 1rem;
  }

  section.links .links_container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    padding: 1rem;
    grid-gap: 2rem;
  }

  .links_container .links_card {
    display: flex;
    position: relative;
    align-items: center;
    background-color: var(--pwGray);
    color: white;
    padding: 1rem;
    height: 10rem;
    transition: all 0.2s ease-out;
  }

  .links_container .links_card img {
    position: absolute;
    image-rendering: auto;
    width: min(10vw, 80px);
    top: unset;
    left: 50%;
    transform: translateX(-50%);
    bottom: 1rem;
  }

  footer.pop_footer {
    padding: 1rem;
    padding-top: 1.5rem;
  }
  footer.pop_footer .pop_footer_main {
    display: grid;
    width: 100%;
    grid-template-areas:
      'links'
      'info'
      'social';
    grid-template-columns: 1fr;
  }

  .pop_footer_main .pop_links h5 {
    font-size: 16px;
    margin-bottom: 0;
  }

  .pop_footer_main .pop_links small {
    opacity: 0.5;
  }

  .pop_footer_main .pop_links .footer_link {
    margin-bottom: 1rem;
  }

  .pop_footer_main .pop_links {
    grid-area: links;
    display: grid;
    grid-template-rows: 1fr;
    grid-auto-flow: row;
    margin-bottom: 1rem;
  }
}

@media (max-width: 768px) {
  .fixed_content .pop_nav {
    height: auto;
    padding: 0.5rem 14px;
  }
  #appProfile,
  #appMsg,
  #appNotice {
    width: 100%;
    height: 100%;
    margin: 0;
    position: fixed;
	top:0px;
	right:0px;
    border-radius: 0;
    max-width: unset;
    min-width: unset;
	z-index:-1;
  }

  #appProfile,
  #appMsg.active,
  #appNotice.active {
    /* transform: translateY(-70px); */
    height: 100%;
	min-height:100vh;
	z-index:999;
  }

  #appProfile,
  #appMsg header .btn_return,
  #appNotice header .btn_return {
    display: block;
    margin-left: 1rem;
  }

  .pop_nav_mobile {
    display: flex;
    transform: translateY(-100%);
    position: fixed;
    width: 100%;
    height: 100%;
    padding-top: calc(var(--nav-height-mobile));
    left: 0;
    z-index: 49;
    opacity: 0;
    pointer-events: none;
    background-color: white;
    transition: all 0.4s ease-out;
  }

  .pop_nav_mobile.open {
    display: block;
    position: fixed;
    overflow-y: scroll;
    opacity: 1;
    pointer-events: auto;
    transform: translateY(0);
    transition: all 0.4s ease-out;
  }

  .pop_nav_mobile_list {
    width: 100%;
    height: 100%;
    list-style: none;
    padding: 0;
    margin: 0;
  }

  .pop_nav_mobile_list .list_item .sub_item a {
    gap: .8rem;
    padding-left: 0;
  }

  .pop_nav_mobile_list .list_item.my_info {
    width: 100%;
    flex-direction: column;
  }

  .pop_nav_mobile_list .list_item.my_info .info_wrap {
    gap: .8rem;
    width: 100%;
  }

  .list_item.my_info .info_wrap .content .title span {

  }

  .pop_nav_mobile_list .list_item.my_info > div,
  .pop_nav_mobile_list .list_item a {
    display: flex;
    align-items: center;
    width: 100%;
    color: var(--pwGray);
    gap: .8rem;
    padding: 10px 1rem;
  }

  .pop_nav_mobile_list .list_item.mobile > div {
    gap: 0;
  }


  .pop_nav_mobile_list .list_item h5 {
    font-weight: 500;
    font-size: 15px;
    margin-bottom: 0;
    line-height: 1.5;
  }

  .pop_nav_mobile_list .list_item {
    display: flex;
    align-items: center;
    position: relative;
    border-bottom: 1px solid #e2e2e2;
  }

  .pop_nav_mobile_list .list_item.create,
  .pop_nav_mobile_list .list_item.about,
  .pop_nav_mobile_list .list_item.language {
    border-bottom: 1px solid var(--pwGray2);
  }

  .pop_nav_mobile_list .list_item.download {
    border: none;
    padding-top: 1rem;
  }

  .pop_nav_mobile_list .list_item.download a {
    all: unset;
    display: flex;
    justify-content: center;
    width: 90%;
    height: 100%;
    margin: 0.5rem 1rem;
    padding: 0.5rem;
    background-color: var(--pwGray);
    color: white;
  }

  .pop_nav_mobile_list .list_item.download a h5 {
    font-weight: 300;
    margin-left: 0.5rem;
    font-size: 1rem;
    line-height: 1.6;
    margin-bottom: 0;
  }
  .pop_nav_mobile_list .list_item.download a svg {
    font-weight: 400;
    margin-left: 0.5rem;
    width: 1.6rem;
    height: 1.6rem;
  }

  .pop_nav_mobile_list .list_item a svg {
    width: 1.5rem;
    height: 1.5rem;
  }

  .pop_nav_mobile_list .list_item.register a svg {
    opacity: 1;
  }

  .pop_nav_mobile_list .list_item.social_links a,
  .pop_nav_mobile_list .list_item.social_links {
    justify-content: center;
  }

  .pop_nav_mobile_list .list_item.social_links a svg {
    margin-right: 0;
  }

  .pop_nav_mobile_list .list_item.social_links,
  .pop_nav_mobile_list .list_item.logout {
    border: none;
  }

  .pop_nav_mobile_list .list_item.language {
    padding: 1rem;
  }

  .pop_nav_mobile_list .list_item.language h6 {
    margin-bottom: 0;
    margin-left: 0.5rem;
  }

  .pop_nav_mobile_list .list_item.my_info svg {
    margin-left: auto;
  }

  .pop_nav_mobile_list .list_item.my_info a {
    width: 100%;
  }

  .pop_nav_mobile_list .my_info.mobile icon {
    display: none;
  }

  .pop_nav_mobile_list .my_info.mobile .icon {
    display: flex;
    position: relative;
    margin-left: auto;
    width: 20px;
    height: 20px;
  }
  .pop_nav_mobile_list .my_info.mobile .icon div {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    height: 2px;
    width: 100%;
    background-color: var(--pwGray);
  }

  .my_info.mobile .icon div:last-child {
    transform: translate(-50%, -50%) rotate(90deg);
    transition: 0.2s all ease;
  }

  .my_info.mobile.active .icon div:last-child {
    transform: translate(-50%, -50%) rotate(0deg);
    transition: 0.2s all ease;
  }

  .pop_nav_mobile_list .list_item.my_info .sub_list {
    height: 0px;
    padding: 0;
    opacity: 0;
    width: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    transform: scaleY(0);
    transform-origin: top;
    transition: 0.3s all ease;
  }

  .pop_nav_mobile_list .list_item.my_info.active .sub_list {
    height: 315px;
    opacity: 1;
    transform: scaleY(1);
    transition: 0.3s all ease;
  }

  .pop_nav_mobile_list .list_item.my_info .sub_item {
    display: flex;
    align-items: center;
    position: relative;
    width: 85%;
    margin-left: auto;
    border-bottom: 1px solid #e2e2e2;
  }

  .pop_nav_mobile_list .list_item.my_info .sub_item:first-child {
    border-top: 1px solid #e2e2e2;
  }

  .pop_nav_mobile_list .list_item.my_info .sub_item:last-child {
    border-bottom: none;
  }

  .pop_nav_mobile_list .list_item.my_info .sub_item svg {
    margin: 0;
  }

  .pop_nav_mobile_list .list_item.logout {
    padding: 1rem 0;
  }

  nav.pop_nav {
    height: var(--nav-height-mobile);
    transform: translateY(0px);
    opacity: 1;
    transition: opacity 1s ease-in-out;
    -webkit-transition: opacity 1s ease-in-out;
  }

  .pop_footer_base {
    display: flex;
    padding: 0;
    border-top: 1px solid #e2e2e2;
  }
  .pop_nav .pop_nav_logo > img {
    height: 1.8rem;
  }

  .pop_content {
    padding-top: var(--nav-height-mobile);
  }

  .pop_content .container {
    /* 複寫bootstraps樣式 */
    padding-right: 1rem;
    padding-left: 1rem;
    /* max-width: unset; */
  }

  .pop_nav.hide {
    opacity: 0;
    height: var(--nav-height-mobile);
    transform: translateY(-50px);
    transition: all 1s ease-out 25ms;
  }

  .pop_nav.hide .pop_nav_logo > img {
    height: 1.8rem;
  }

  .ajax-loading img {
    max-width: 400px;
  }

  .pop_footer_main .pop_social_links {
    justify-content: space-evenly;
    margin: 0.5rem 0 0 0;
    padding: 0 4rem;
  }

  .pop_footer_main h6 {
    margin-top: 1rem;
    margin-bottom: 0rem;
    padding-top: 2px;
  }

  .pop_footer_base {
    border: none;
    flex-direction: column;
  }

  .pop_footer_base .pop_policy {
    order: 2;
    margin-top: 1rem;
    display: flex;
    flex-direction: column;
  }
  .pop_footer_base .footer_language {
    order: 1;
    width: 100%;
    padding: 0 0 1rem 0;
    border-bottom: 1px solid #e2e2e2;
  }
  .footer_language .nav_sub_lang_select {
    margin-right: auto;
    display: flex;
    width: 100%;
    align-items: center;
    margin-left: 0;
  }

  .footer_language .nav_sub_lang_select .select_panel {
    display: none;
  }

  .copyright {
    font-size: 12px;
  }

  .select_panel {
    display: none;
  }

  .select_panel_mobile {
    position: relative;
    display: flex;
    width: 100%;
    margin: auto 0;
  }

  .select_panel_mobile select {
    all: unset;
    position: absolute;
    left: 0;
    padding-left: 4rem;
    background-color: transparent;
    top: 0;
    outline: none;
    width: auto;
    font-size: 0.8rem;
  }

  .select_panel_mobile select:focus {
    padding-left: 0;
    margin-left: 4.5rem;
    outline: none;
    border: none;
  }

  .select_panel_mobile h6 {
    font-size: 0.8rem;
    line-height: 1.6;
    display: inline-block;
    margin-right: 8px;
  }

  .pop_footer_base ul.pop_policy {
    margin-top: 1rem;
  }

  .pop_nav a.btn_menu svg {
    pointer-events: none;
    width: 1.5rem;
    height: 1.5rem;
    transition: transform 0.6s ease-in-out;
  }

  .pop_nav a.btn_menu svg.cross {
    position: absolute;
    opacity: 0;
    transform: scale(0);
    bottom: 0;
    transition: all 0.6s ease-in-out;
  }

  .pop_nav a.btn_menu.active svg.cross {
    display: block;
    opacity: 1;
    transform: scale(1);
    transition: all 0.6s ease-in-out;
  }

  .pop_nav a.btn_menu svg.menu {
    display: block;
    transform: scale(1);
    transition: all 0.6s ease-in-out;
  }

  .pop_nav a.btn_menu.active svg.menu {
    transform: scale(0);
    transition: all 0.6s ease-in-out;
  }

  .pop_footer_main .links .downloads {
    display: none;
  }

  .pop_footer_main .links .download_link {
    display: block;
    margin: 1rem 0;
  }
}

/*  animation */

@keyframes slideDown {
  from {
    transform: translateY(-100%);
    opacity: 0;
  }
  to {
    transform: translateY(0);
    opacity: 1;
  }
}

@keyframes slideUp {
  from {
    transform: translateY(0);
    opacity: 1;
  }
  to {
    transform: translateY(-100%);
    opacity: 0;
  }
}

.slideDown {
  animation: slideDown 0.5s forwards;
}

.slideUp {
  animation: slideUp 0.5s forwards;
}

/* swal popup */
.swal2-container .swal2-popup {
  width: 33vw;
  padding: 0;
}

body div:where(.swal2-container).swal2-center > .swal2-popup {
  border-radius: 1rem;
  overflow: hidden;
}
body
  div:where(.swal2-container)
  button:where(.swal2-styled).swal2-confirm:focus {
  box-shadow: 0 0 0 3px #2ca7e055;
}

body div:where(.swal2-container) div:where(.swal2-actions) {
  margin: 0rem 0;
}

body div:where(.swal2-container) .swal2-html-container {
  margin: 0;
}

.clr-primary {
  background-color: var(--pwBlue) !important;
  color: white !important;
}

.clr-secondary {
  background-color: var(--grey-6) !important;
  color: white !important;
}

.swal2-close {
  border-radius: 50%;
  background-color: transparent;
  position: absolute;
  right: 0;
  top: 0;
  color: var(--grey-6);
}

div:where(.swal2-container) button:where(.swal2-close):hover {
  opacity: 0.8;
  color: var(--pwRed);
}

.swal2-close:focus {
  outline: none;
  box-shadow: none;
}

.justify-items-center {
  justify-items: center;
}

.custom_alert {
  width: 100%;
  height: 100%;
  pointer-events: auto !important;
}

@media (max-width: 568px) {
  .swal2-container .swal2-popup {
    width: 90vw;
    padding: 0;
  }
}

.custom-control-input.is-valid ~ .custom-control-label::before,
.was-validated .custom-control-input:valid ~ .custom-control-label::before,
.form-control.is-valid,
.was-validated .form-control:valid {
  border-color: var(--pwGray);
}

.form-control.is-valid,
.was-validated .form-control:valid {
  background-image: none;
}

.custom-control-input:checked ~ .custom-control-label::before,
.custom-control-input.is-valid:checked ~ .custom-control-label::before,
.was-validated
  .custom-control-input:valid:checked
  ~ .custom-control-label::before {
  border-color: var(--pwGray);
  background-color: var(--pwGray);
}

.form-control.is-valid:focus,
.was-validated .form-control:valid:focus {
  border-color: var(--pwGray);
  box-shadow: 0 0 0 0.2rem #e9e9e9;
}

.invalid-feedback {
  color: var(--pwRed);
}

.-top-10 {
  top: -10px;
}

.-right-13 {
  right: -13px;
}

.custom-control-input.is-valid ~ .custom-control-label,
.was-validated .custom-control-input:valid ~ .custom-control-label {
  color: var(--pwGray);
}
